<form method="post" name="gallery" enctype="multipart/form-data" action="<?php echo Horde::selfURL() ?>">
<?php Util::pformInput() ?>
<input type="hidden" name="actionID" value="save" />
<?php if ($actionID == 'addchild'): ?>
<input type="hidden" name="parent" value="<?php echo $parentId ?>" />
<?php elseif ($actionID != 'add'): ?>
<input type="hidden" name="gallery" value="<?php echo isset($galleryId) ? $galleryId : '' ?>" />
<?php endif; ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr><td align="left" class="header"><b><?php echo $title ?></b></td></tr>
</table>

<table border="0" cellpadding="2" cellspacing="0" width="100%">
<?php if ($prefs->getValue('autoname') == 'direct'): ?>
   <input name="gallery_id" type="hidden" value="<?php echo htmlspecialchars($galleryId) ?>" />
<?php else: ?>
<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Gallery Short Name (must be unique)") ?></b>&nbsp;</td>
  <td class="item" width="80%">
  <?php if ($actionID == 'modify'): ?>
    <?php echo htmlspecialchars($gallery->getName()) ?>
  <?php else: ?>
    <input name="gallery_id" type="text" value="<?php echo htmlspecialchars($galleryId) ?>" size="50" maxlength="100" />
    <input type="button" class="button" value="<?php echo _("Use Default") ?>" onclick="document.gallery.gallery_id.value='<?php echo md5(microtime()); ?>';" />
  <?php endif; ?>
  </td>
</tr>
<?php endif; ?>

<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Gallery Category") ?></b>&nbsp;</td>
  <td class="item" width="80%">
    <?php echo Prefs_CategoryManager::getJavaScript('gallery', 'gallery_category') .
               Prefs_CategoryManager::getSelect("gallery_category", $gallery_category) ?>
  </td>
</tr>

<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Gallery Display Name") ?></b>&nbsp;</td>
  <td class="item" width="80%">
    <input name="gallery_name" type="text" value="<?php echo htmlspecialchars($gallery_name) ?>" size="50" maxlength="100" />
  </td>
</tr>

<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Gallery Description") ?></b>&nbsp;</td>
  <td class="item" width="80%">
    <textarea name="gallery_desc" cols="50" rows="5"><?php echo htmlspecialchars($gallery_desc) ?></textarea>
  </td>
</tr>

<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Thumbnail Width") ?></b>&nbsp;</td>
  <td class="item" width="80%">
    <input name="gallery_thumbnail_width" type="text" value="<?php echo $gallery_thumbnail_width ?>" size="50" maxlength="100" />
  </td>
</tr>

<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Thumbnail Height") ?></b>&nbsp;</td>
  <td class="item" width="80%">
    <input name="gallery_thumbnail_height" type="text" value="<?php echo $gallery_thumbnail_height ?>" size="50" maxlength="100" />
  </td>
</tr>

<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Screen Image Width") ?></b>&nbsp;</td>
  <td class="item" width="80%">
    <input name="gallery_image_width" type="text" value="<?php echo $gallery_image_width ?>" size="50" maxlength="100" />
  </td>
</tr>

<tr>
  <td class="item" align="right" valign="top"><b><?php echo _("Screen Image Height") ?></b>&nbsp;</td>
  <td class="item" width="80%">
    <input name="gallery_image_height" type="text" value="<?php echo $gallery_image_height ?>" size="50" maxlength="100" />
  </td>
</tr>
</table>

<br />
<table border="0" align="center" width="100%" cellspacing="0" cellpadding="0">
<tr>
  <td>
    <input type="submit" class="button" value="<?php echo _("Save Gallery") ?>" />&nbsp;
    <input type="reset" class="button" value="<?php echo _("Undo Changes") ?>" />&nbsp;
    <input type="button" class="button" value="<?php echo _("Empty Gallery") ?>" onclick="javascript:emptyGallery();" />
  </td>
</tr>
</table>
</form>

<script type="text/javascript" language="Javascript">
<!--
function emptyGallery() {
    if (!confirm('<?php echo _("Are you sure you want to delete all of the images in this gallery?") ?>')) { return; }
    document.gallery.actionID.value = 'empty';
    document.gallery.submit();
}
//-->
</script>