<table border="0" cellpadding="2" cellspacing="0" width="100%">
<tr>
  <td align="left" class="header"><b><?php echo $title ?></b></td>
</tr>
</table>

<?php
$base_url = Util::addParameter('image.php', array('gallery' => $gallery_id,
                                                  'image' => $image_id,
                                                  'page' => $page,
                                                  'watermark' => $watermark,
                                                  'whalign' => $watermark_halign,
                                                  'wvalign' => $watermark_valign,
                                                  'font' => $watermark_font));

$edit_url = Util::addParameter($base_url, 'actionID', 'editimage');
$save_url = Util::addParameter($base_url, 'actionID', $action);
$image_url = Horde::applicationUrl(Util::addParameter($base_url, 'actionID', 'image' . $action));
?>
<table border="0" align="center" width="100%" cellspacing="0" cellpadding="2">
<tr class="control">
  <td align="left">
    <?php if ($gallery->hasPermission(Auth::getAuth(), PERMS_EDIT)): ?>
      <?php echo Horde::link(Horde::applicationUrl($save_url), _("Save Change"), 'widget') ?><?php echo _("Save Change") ?></a>
    <?php endif; ?>
  </td>
  <td align="right">
    <?php if ($gallery->hasPermission(Auth::getAuth(), PERMS_EDIT)): ?>
      <?php echo Horde::link(Horde::applicationUrl($edit_url), _("Cancel Change"), 'widget') ?><?php echo _("Cancel Change") ?></a>
    <?php endif; ?>
  </td>
</tr>
</table>

<br />
<div align="center">
<table cellspacing="0">
<tr>
  <td align="center">
   <div class="dropShadow">
    <?php echo Horde::img($image_url, '', '', '') ?>
   </div>
  </td>
</tr>
<tr>
  <td align="center">
    <?php $caption = $image->get('description') ? $image->get('description') : $image->get('filename'); echo Text_Filter::filter($caption, 'text2html', array('parselevel' => TEXT_HTML_MICRO)) ?>
  </td>
</tr>
</table>
</div>
