<?php
Horde::addScriptFile('popup.js', 'horde', true);

$cropurl = Util::addParameter('crop.php', array('gallery' => $galleryId, 'image' => $image_id, 'page' => $page));
$ecardurl = Util::addParameter('ecard.php', array('gallery' => $galleryId, 'image' => $image_id, 'page' => $page));
$galleryurl = Util::addParameter('view.php', array('gallery' => $galleryId, 'page' => $page));
$imageurl = Util::addParameter('image.php', array('gallery' => $galleryId, 'image' => $image_id, 'page' => $page));

$viewurl = Ansel::getImageUrl($image_id, 'full', true);
$thumburl = Ansel::getImageUrl($image_id, 'thumb', true);
?>
<table border="0" align="center" width="100%" cellspacing="0" cellpadding="2">
<tr class="control">
  <td align="left">
    <?php if ($gallery->hasPermission(Auth::getAuth(), PERMS_EDIT)): ?>
        <?php echo Horde::link('', _("Properties"), 'widget', '', 'popup(\'' . str_replace('&amp;', '&', Util::addParameter(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'modify')), 'share', $gallery->getName())) . '\', 600, 220); return false;') . _("Properties") ?></a>
      | <?php echo Horde::link(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'editimage')), _("Edit"), 'widget') . _("Edit") ?></a>
      <?php if (Ansel::isAvailable('crop')): ?>
      | <?php echo Horde::link(Horde::applicationUrl($cropurl), _("Crop"), 'widget') . _("Crop") ?></a>
      <?php endif; ?>
    <?php endif; ?>
    <?php if ($gallery->hasPermission(Auth::getAuth(), PERMS_DELETE)): ?>
      | <?php echo Horde::link(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'delete')), _("Delete"), 'widget', '', 'return window.confirm(\'' . addslashes(sprintf(_("Do you want to permanently delete %s?"), $image->get('filename'))) . '\');') . _("Delete") ?></a>
    <?php endif; ?>
  </td>
  <td align="right">
<?php if (!empty($conf['ecard']['enable'])): ?>
    <?php echo Horde::link('', _("Send as Ecard"), 'widget', '', 'popup(\'' . str_replace('&amp;', '&', Util::addParameter(Horde::applicationUrl(Util::addParameter($ecardurl, 'actionID', 'query')), 'share', $gallery->getName())) . '\'); return false;') . _("Send as Ecard") ?></a> |
<?php endif; ?>
    <?php echo Horde::link('', _("Image Attributes"), 'widget', '', 'popup(\'' . str_replace('&amp;', '&', Util::addParameter(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'exif')), 'share', $gallery->getName())) . '\'); return false;') . _("Image Attributes") ?></a>
    | <?php echo Horde::link('', _("Print on Shutterfly"), 'widget', null, 'document.shutterfly.returl.value = document.location; document.shutterfly.submit(); return false;') . _("Print on Shutterfly") ?></a>
    | <?php echo Horde::link(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'downloadfull')), _("Download Full Image"), 'widget') . _("Download Full Image") ?></a>
  </td>
</tr>
</table>

<form name="shutterfly" action="http://www.shutterfly.com/c4p/UpdateCart.jsp" target="_blank" method="post">
  <input type="hidden" name="addim" value="1" />
  <input type="hidden" name="protocol" value="SFP,100">
  <input type="hidden" name="pid" value="C4P">
  <input type="hidden" name="psid" value="AFFL">
  <input type="hidden" name="returl" value="">
  <input type="hidden" name="imraw-1" value="<?php echo $viewurl ?>" />
  <input type="hidden" name="imrawheight-1" value="<?php echo $dimensions['height'] ?>">
  <input type="hidden" name="imrawwidth-1" value="<?php echo $dimensions['width'] ?>">
  <input type="hidden" name="imthumb-1" value="<?php echo $thumburl ?>" />
  <input type="hidden" name="imbkprntb-1" value="Hi">
</form>
