<div class="header"><?php echo $title ?></div>
<br />
<div id="menu">
<?php
$imageurl = Util::addParameter('image.php', array('gallery' => $gallery_id,
                                                  'image' => $image_id,
                                                  'page' => $page));

$image_url = Horde::applicationUrl(Util::addParameter('image.php', array('gallery' => $gallery_id,
                                                                         'image' => $image_id,
                                                                         'actionID' => 'imagescreen')));

$galleryurl = Util::addParameter('view.php', array('gallery' => $gallery_id,
                                                   'page' => $page));

require_once 'Horde/Menu.php';
$emenu = &new Menu(HORDE_MENU_MASK_NONE);
if ($gallery->hasPermission(Auth::getAuth(), PERMS_EDIT)) {
    if (Ansel::isAvailable('rotate')) {
        $emenu->add(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'previewrotate270')), _("Rotate Left"), 'image/rotate-270.png', $registry->getImageDir('horde'), '', null, '');
        $emenu->add(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'previewrotate180')), _("Rotate 180"), 'image/rotate-180.png', $registry->getImageDir('horde'), '', null, '');
        $emenu->add(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'previewrotate90')), _("Rotate Right"), 'image/rotate-90.png', $registry->getImageDir('horde'), '', null, '');
    }
    if (Ansel::isAvailable('flip')) {
        $emenu->add(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'previewflip')), _("Flip"), 'image/flip.png', $registry->getImageDir('horde'), '', null, '');
    }
    if (Ansel::isAvailable('mirror')) {
        $emenu->add(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'previewmirror')), _("Mirror"), 'image/mirror.png', $registry->getImageDir('horde'), '', null, '');
    }
    if (Ansel::isAvailable('grayscale')) {
        $emenu->add(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'previewgrayscale')), _("Grayscale"), 'image/grayscale.png', $registry->getImageDir('horde'), '', null, '');
    }
    if (Ansel::isAvailable('watermark')) {
        Horde::addScriptFile('popup.js', 'horde', true);
        $emenu->add('javascript:popup(\'' . Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'setwatermark'), 'share', $gallery->getName()) . '\', 450, 250);', _("Watermark"), 'text.png');
    }
}
if ($gallery->hasPermission(Auth::getAuth(), PERMS_DELETE)) {
    $emenu->add(Horde::applicationUrl(Util::addParameter($imageurl, 'actionID', 'delete')), _("Delete"), 'delete.png', $registry->getImageDir('horde'), '', null, '');
}
echo $emenu->render();
?>
</div>

<br />
<div align="center">
<table cellspacing="0">
<tr>
  <td align="center">
   <div class="dropShadow">
    <?php echo Horde::img($image_url, '', '', '') ?>
   </div>
  </td>
</tr>
<tr>
  <td align="center">
    <?php $caption = $image->get('description') ? $image->get('description') : $image->get('filename'); echo Text_Filter::filter($caption, 'text2html', array('parselevel' => TEXT_HTML_MICRO)) ?>
  </td>
</tr>
</table>
</div>
