<?php
$image_url = Ansel::getImageUrl($image_id);
$caption = $image->get('description');
$caption = !empty($caption) ? $caption : $image->get('filename');

// Figure out what page the next & prev images will be on.
$perpage = $prefs->getValue('imagesperpage');
$min = $page * $perpage;
$max = $min + $perpage;

$page_next = $page;
if ($image_id + 1 >= $max) {
    $page_next++;
}

$page_back = $page;
if ($image_id - 1 < $min) {
    $page_back--;
}
?>

<br />
<div align="center">
<table cellspacing="0">
<tr>
  <td colspan="3" align="center">
   <div class="dropShadow">
    <?php echo Horde::img($image_url, '', '', '') ?>
   </div>
  </td>
</tr>
<tr>
  <td width="10%" class="light" align="left">
<?php if (isset($prev) && !$print_view) {
    $back_url = Util::addParameter('view.php', 'gallery', $galleryId);
    $back_url = Util::addParameter($back_url, 'image', $prev);
    $back_url = Util::addParameter($back_url, 'actionID', 'viewimage');
    $back_url = Util::addParameter($back_url, 'page', $page_back);
    echo Horde::link(Horde::applicationUrl($back_url), _("Previous"))
        . Horde::img('nav/left.png', _("Previous"),
                     'width="16" height="16" align="middle"', $registry->getImageDir('horde'))  . '</a>';
} ?>
  </td>
  <td width="80%" align="center">
    <?php echo Text_Filter::filter($caption, 'text2html', array('parselevel' => TEXT_HTML_MICRO)) ?>
  </td>
  <td width="10%" class="light" align="right">
<?php if (isset($next) && !$print_view) {
    $next_url = Util::addParameter('view.php', 'gallery', $galleryId);
    $next_url = Util::addParameter($next_url, 'image', $next);
    $next_url = Util::addParameter($next_url, 'actionID', 'viewimage');
    $next_url = Util::addParameter($next_url, 'page', $page_next);
    echo Horde::link(Horde::applicationUrl($next_url), _("Next"))
        . Horde::img('nav/right.png', _("Next"),
                     'width="16" height="16" align="middle"', $registry->getImageDir('horde')) . '</a>';
} ?>
  </td>
</tr>
</table>
</div>
